#!/usr/bin/env python

import os
from concatenator import read_arguments


class Concatenator(object):
    def __init__(self, input_path_1, input_path_2, output_path, output_name):
        self.input_path_1 = input_path_1
        self.input_path_2 = input_path_2
        if output_name is None:
            self.output_file = os.path.join(output_path, "document3.txt")
        else:
            self.output_file = os.path.join(output_path, output_name)

    def compute(self):

        doc1 = open(self.input_path_1).read()
        doc2 = open(self.input_path_2).read()

        # Create a new doc and concatenate both files
        with open(self.output_file, "a") as doc3:
            doc3.write(doc1)
            doc3.write(doc2)

        return None


def run():

    # Read the inputs and output arguments
    input1, input2, output_path, output_name = read_arguments()

    # Concatenate them using the class Concatenator
    concatenate = Concatenator(input1, input2, output_path, output_name)
    concatenate.compute()


if __name__ == "__main__":
    run()
